import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Event } from './models';
import { PageRequest, PaginatedResponse } from './vitamui-table';
export declare abstract class BaseHttpClient<T extends {
    id: string;
}> {
    protected http: HttpClient;
    protected readonly apiUrl: string;
    constructor(http: HttpClient, apiUrl: string);
    protected getHttp(): HttpClient;
    protected getApiUrl(): string;
    protected getAllByParams(params: HttpParams, headers?: HttpHeaders): Observable<T[]>;
    protected getAllPaginated(pageRequest: PageRequest, embedded?: string, headers?: HttpHeaders): Observable<PaginatedResponse<T>>;
    protected getOne(id: string, headers?: HttpHeaders): Observable<T>;
    protected getOneWithEmbedded(id: string, embedded: string, headers?: HttpHeaders): Observable<T>;
    protected checkExistsByParam(params: Array<{
        key: string;
        value: string;
    }>, headers?: HttpHeaders): Observable<boolean>;
    protected create(data: T, headers?: HttpHeaders): Observable<T>;
    protected update(data: T, headers?: HttpHeaders): Observable<T>;
    protected patch(data: {
        id: string;
        [key: string]: any;
    }, headers?: HttpHeaders): Observable<T>;
    logbook(id: string, headers?: HttpHeaders): Observable<{
        $results: Event[];
    }>;
}
