import { EventEmitter } from '@angular/core';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { AuthService } from '../../auth.service';
import { AuthUser } from '../../models';
import { StartupService } from '../../startup.service';
import { SubrogationService } from '../../subrogation/subrogation.service';
import { MenuOption } from './customer-menu/menu-option.interface';
export declare class NavbarComponent {
    authService: AuthService;
    private subrogationService;
    private domSanitizer;
    appId: string;
    hideTenantMenu: boolean;
    hideCustomerMenu: boolean;
    customers: MenuOption[];
    tenantSelect: EventEmitter<number>;
    customerSelect: EventEmitter<string>;
    portalUrl: string;
    base64Logo: string;
    currentUser: AuthUser;
    hasAccountProfile: boolean;
    trustedInlineLogoUrl: SafeUrl;
    trustedAppLogoUrl: SafeUrl;
    constructor(authService: AuthService, startupService: StartupService, subrogationService: SubrogationService, domSanitizer: DomSanitizer);
    emitTenantSelect(tenantIdentifier: number): void;
    emitCustomerSelect(customerId: string): void;
    enabledSubrogation(): void;
}
